*** pgsql.old/doc/src/sgml/plpgsql.sgml	2005-04-19 05:55:43.000000000 +0200
--- pgsql.new/doc/src/sgml/plpgsql.sgml	2005-06-01 19:28:51.000000000 +0200
***************
*** 1251,1263 ****
       <command>EXECUTE</command> statement is provided:
  
  <synopsis>
! EXECUTE <replaceable class="command">command-string</replaceable>;
  </synopsis>
  
       where <replaceable>command-string</replaceable> is an expression
       yielding a string (of type
       <type>text</type>) containing the command
       to be executed.  This string is fed literally to the SQL engine.
      </para>
  
      <para>
--- 1251,1265 ----
       <command>EXECUTE</command> statement is provided:
  
  <synopsis>
! EXECUTE <replaceable class="command">command-string</replaceable> [INTO record_or_row];
  </synopsis>
  
       where <replaceable>command-string</replaceable> is an expression
       yielding a string (of type
       <type>text</type>) containing the command
       to be executed.  This string is fed literally to the SQL engine.
+      <replaceable>record_or_row</replaceable> is any record or row variable.
+      INTO record_or_row clause is optional.
      </para>
  
      <para>
***************
*** 1277,1291 ****
  
      <para>
       The results from <command>SELECT</command> commands are discarded
!      by <command>EXECUTE</command>, and <command>SELECT INTO</command>
       is not currently supported within <command>EXECUTE</command>.
-      So there is no way to extract a result from a dynamically-created
-      <command>SELECT</command> using the plain <command>EXECUTE</command>
-      command.  There are two other ways to do it, however: one is to use the
-      <command>FOR-IN-EXECUTE</>
-      loop form described in <xref linkend="plpgsql-records-iterating">,
-      and the other is to use a cursor with <command>OPEN-FOR-EXECUTE</>, as
-      described in <xref linkend="plpgsql-cursor-opening">.
      </para>
  
      <para>
--- 1279,1287 ----
  
      <para>
       The results from <command>SELECT</command> commands are discarded
!      by <command>EXECUTE</command> if don't use clause INTO. 
!      <command>SELECT INTO</command>
       is not currently supported within <command>EXECUTE</command>.
      </para>
  
      <para>
